curl --request POST \
--url https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/fulfillment-orders/{fulfillmentOrderId}/label \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"carrier_code": "<string>",
"service_code": "<string>",
"weight": {
"value": 1.01,
"units": "<string>"
},
"package_code": "<string>",
"confirmation": "<string>",
"ship_date": "2023-12-25",
"dimensions": {
"length": 123,
"width": 123,
"height": 123,
"units": "<string>"
},
"ship_to": {
"name": "<string>",
"street1": "<string>",
"postal_code": "<string>"
},
"test_label": true,
"print_station_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"packing_session_id": "<string>"
}
'import requests
url = "https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/fulfillment-orders/{fulfillmentOrderId}/label"
payload = {
"carrier_code": "<string>",
"service_code": "<string>",
"weight": {
"value": 1.01,
"units": "<string>"
},
"package_code": "<string>",
"confirmation": "<string>",
"ship_date": "2023-12-25",
"dimensions": {
"length": 123,
"width": 123,
"height": 123,
"units": "<string>"
},
"ship_to": {
"name": "<string>",
"street1": "<string>",
"postal_code": "<string>"
},
"test_label": True,
"print_station_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"packing_session_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
carrier_code: '<string>',
service_code: '<string>',
weight: {value: 1.01, units: '<string>'},
package_code: '<string>',
confirmation: '<string>',
ship_date: '2023-12-25',
dimensions: {length: 123, width: 123, height: 123, units: '<string>'},
ship_to: {name: '<string>', street1: '<string>', postal_code: '<string>'},
test_label: true,
print_station_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
packing_session_id: '<string>'
})
};
fetch('https://{companyName}.api.joinluminous.com/external/api/v1/pickflow/fulfillment-orders/{fulfillmentOrderId}/label', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"print_job_id": "<string>"
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Buy a shipping label for a fulfillment order
Authorizations
Authenticate using a bearer token. To create a token, navigate to /settings/api-tokens and click Create API Token.
Path Parameters
The fulfillment order to buy a label for.
Body
Carrier code to ship with.
Shipping service code to use.
Show child attributes
Show child attributes
Package type code.
Delivery confirmation option.
Date the shipment will be tendered to the carrier.
Show child attributes
Show child attributes
Optional override of the ship-to address.
Show child attributes
Show child attributes
Format of the returned label.
pdf, png, zpl, PDF, PNG, ZPL When true, request a test (non-billable) label.
Optional print routing. ID of a Luminous print station (from GET /pickflow/print-stations) to enqueue the purchased label into that station's print queue. Enqueue failures are non-fatal — the label is always returned.
Optional packing session identifier to associate with the print job.
Response
Label purchased (or already-purchased label returned)
Base64 label bytes and tracking details.
Show child attributes
Show child attributes